function afficheFrontiere(x1,x2,X,Y, h, methode)

[X1 X2] = meshgrid(x1,x2);
[n,p] = size(X1);
k = [reshape(X1,n*p,1),reshape(X2,n*p,1)];

if (methode ==1)
     Z=parzen(X, Y, k, h);
end

if (methode ==2)
     Z=knn(X, Y, k, h);
end

if (methode == 3)
     T = treeclass(X,Y,'splitmin',h,'method','classification','splitcriterion','gdi','prune','on');
     Z = treetesting(T,k);
     Z = Z - 1;
end

Z = reshape(Z,n,p);

hold on;
contour(x1,x2,Z,[0 1]);
